Bug 73847 - Image caching masks edits to splash screen
Image caching masks edits to splash screen
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
All All
: P4 (vote)
: 7.0
Assigned To: Antonin Nebuzelsky
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 22:21 UTC by _ tboudreau
Modified: 2010-08-04 03:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2006-03-21 22:21:43 UTC
Create a module suite with it's own splash screen.  Close the suite customizer.

Edit the image in an image editor and save it under the same name.  Browse for 
it again and select it in the customizer.  You see a version of the image from 
before the edits (even changing to another image and back doesn't help).

Probably turn off caching on ImageIO before loading the splash screen image, 
and then use ImageIO.read() to fetch the image, not Utilities.loadImage(), so 
the previously read image is not cached and reused.
Comment 1 rmichalsky 2008-11-24 15:03:23 UTC
Not into 7.0 or next release. Feel free to reopen if more important than it seems.
Comment 2 Quality Engineering 2009-11-02 10:55:33 UTC
NetBeans.org Migration: changing resolution from LATER to WONTFIX
Comment 3 Jesse Glick 2009-11-23 13:39:37 UTC
Still reproducible?
Comment 4 Jesse Glick 2010-05-13 14:37:56 UTC
Probably obsolete after rewrite of branding customization UI.
Comment 5 Antonin Nebuzelsky 2010-08-03 11:25:18 UTC
core-main #2ca091568b10
Comment 6 Quality Engineering 2010-08-04 03:08:17 UTC
Integrated into 'main-golden', will be available in build *201008040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2ca091568b10
User: Antonin Nebuzelsky <anebuzelsky@netbeans.org>
Log: #73847:  Image caching masks edits to splash screen


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo